require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

module Shink
  module SkModelBox
    PluginName = 'sk_model_box'
    Version = '1.0.4'.freeze

    Object.send(:remove_const, 'RGLoader') if Object.const_defined?('RGLoader')

    lh = LanguageHandler.new("#{PluginName}.strings")
    load_path = File.join(File.dirname(__FILE__), PluginName, 'load')
    extension = SketchupExtension.new(lh['插件名称'], load_path)
    extension.version = Version
    extension.creator = lh['八宝工作室']
    extension.description = lh['插件说明']
    Sketchup.register_extension(extension, true)
  end
end
